package cn.com.poc.data_analyze.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AgentUsageQuery
 */
@Entity
public class AgentUsageQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** today_dialogue_member
    *today_dialogue_member
    */ 
    private java.lang.Long todayDialogueMember;
    
    @Column(name = "today_dialogue_member")
    public java.lang.Long getTodayDialogueMember(){
        return this.todayDialogueMember;
    }
    
    public void setTodayDialogueMember(java.lang.Long todayDialogueMember){
        this.todayDialogueMember = todayDialogueMember;
    }
    
    /** today_dialogue
    *today_dialogue
    */ 
    private java.lang.Long todayDialogue;
    
    @Column(name = "today_dialogue")
    public java.lang.Long getTodayDialogue(){
        return this.todayDialogue;
    }
    
    public void setTodayDialogue(java.lang.Long todayDialogue){
        this.todayDialogue = todayDialogue;
    }
    
    /** yesterday_dialogue_member
    *yesterday_dialogue_member
    */ 
    private java.lang.Long yesterdayDialogueMember;
    
    @Column(name = "yesterday_dialogue_member")
    public java.lang.Long getYesterdayDialogueMember(){
        return this.yesterdayDialogueMember;
    }
    
    public void setYesterdayDialogueMember(java.lang.Long yesterdayDialogueMember){
        this.yesterdayDialogueMember = yesterdayDialogueMember;
    }
    
    /** yesterday_dialogue
    *yesterday_dialogue
    */ 
    private java.lang.Long yesterdayDialogue;
    
    @Column(name = "yesterday_dialogue")
    public java.lang.Long getYesterdayDialogue(){
        return this.yesterdayDialogue;
    }
    
    public void setYesterdayDialogue(java.lang.Long yesterdayDialogue){
        this.yesterdayDialogue = yesterdayDialogue;
    }
    
    /** week_dialogue_member
    *week_dialogue_member
    */ 
    private java.lang.Long weekDialogueMember;
    
    @Column(name = "week_dialogue_member")
    public java.lang.Long getWeekDialogueMember(){
        return this.weekDialogueMember;
    }
    
    public void setWeekDialogueMember(java.lang.Long weekDialogueMember){
        this.weekDialogueMember = weekDialogueMember;
    }
    
    /** week_dialogue
    *week_dialogue
    */ 
    private java.lang.Long weekDialogue;
    
    @Column(name = "week_dialogue")
    public java.lang.Long getWeekDialogue(){
        return this.weekDialogue;
    }
    
    public void setWeekDialogue(java.lang.Long weekDialogue){
        this.weekDialogue = weekDialogue;
    }
    
    /** last_week_dialogue_member
    *last_week_dialogue_member
    */ 
    private java.lang.Long lastWeekDialogueMember;
    
    @Column(name = "last_week_dialogue_member")
    public java.lang.Long getLastWeekDialogueMember(){
        return this.lastWeekDialogueMember;
    }
    
    public void setLastWeekDialogueMember(java.lang.Long lastWeekDialogueMember){
        this.lastWeekDialogueMember = lastWeekDialogueMember;
    }
    
    /** last_week_dialogue
    *last_week_dialogue
    */ 
    private java.lang.Long lastWeekDialogue;
    
    @Column(name = "last_week_dialogue")
    public java.lang.Long getLastWeekDialogue(){
        return this.lastWeekDialogue;
    }
    
    public void setLastWeekDialogue(java.lang.Long lastWeekDialogue){
        this.lastWeekDialogue = lastWeekDialogue;
    }
    
    /** month_dialogue_member
    *month_dialogue_member
    */ 
    private java.lang.Long monthDialogueMember;
    
    @Column(name = "month_dialogue_member")
    public java.lang.Long getMonthDialogueMember(){
        return this.monthDialogueMember;
    }
    
    public void setMonthDialogueMember(java.lang.Long monthDialogueMember){
        this.monthDialogueMember = monthDialogueMember;
    }
    
    /** month_dialogue
    *month_dialogue
    */ 
    private java.lang.Long monthDialogue;
    
    @Column(name = "month_dialogue")
    public java.lang.Long getMonthDialogue(){
        return this.monthDialogue;
    }
    
    public void setMonthDialogue(java.lang.Long monthDialogue){
        this.monthDialogue = monthDialogue;
    }
    
    /** last_month_dialogue_member
    *last_month_dialogue_member
    */ 
    private java.lang.Long lastMonthDialogueMember;
    
    @Column(name = "last_month_dialogue_member")
    public java.lang.Long getLastMonthDialogueMember(){
        return this.lastMonthDialogueMember;
    }
    
    public void setLastMonthDialogueMember(java.lang.Long lastMonthDialogueMember){
        this.lastMonthDialogueMember = lastMonthDialogueMember;
    }
    
    /** last_month_dialogue
    *last_month_dialogue
    */ 
    private java.lang.Long lastMonthDialogue;
    
    @Column(name = "last_month_dialogue")
    public java.lang.Long getLastMonthDialogue(){
        return this.lastMonthDialogue;
    }
    
    public void setLastMonthDialogue(java.lang.Long lastMonthDialogue){
        this.lastMonthDialogue = lastMonthDialogue;
    }
    
} 